Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.event
Interface PlanListener

All Superinterfaces:
  java.util.EventListener

public interface PlanListener
extends java.util.EventListener

This interface is used by implementing a class for listening to `PlanEvents`.

When you implement this interface, it monitors the process definition which is designated in the `PlanEvent` object in real time. This means that during the design of a process definition, the listener is notified of any change in the process definition or any of the associated objects.

The `PlanListener` allows a process definition development client to proactively update the process definition, as well as all objects in the process definition, while designing it.

Whenever a process definition changes, the registered `PlanListener` receives notification of the changes in the process definition. Using this interface ensures that the process definition under development can reflect changing conditions consistently.

For a list of parameters that are monitored, see the field list in the `PlanEvent` class.

You can add a `PlanListener` object to a process definition (`Plan` object) by calling the method `Plan.addPlanListener`.

See Also:
  `Plan`, `PlanEvent`

Method Summary
`void` | `planChanged(PlanEvent event)` This method is called if the process definition this listener belongs to has been changed.

Method Detail

### planChanged

    public void planChanged(PlanEvent event)

  This method is called if the process definition this listener belongs to has been changed. The supplied `PlanEvent` contains information about the kind of change.

  Parameters:
    `event` - The `PlanEvent` containing details about the process definition change.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD